V8Js
V8Js::executeString
V8Js
PHP Manual

# V8Js::__construct

(PECL v8js >= 0.1.0)

V8Js::__construct — Construct a new V8Js object

### Description

public V8Js::__construct ([ string `$object_name` = "PHP" [, array `$variables` = array() [, array `$extensions` = array() [, bool `$report_uncaught_exceptions` = `TRUE` ]]]] )

Constructs a new V8Js object.

### Parameters

`object_name`

  The name of the object passed to Javascript.

`variables`

  Map of PHP variables that will be available in Javascript. Must be an associative array in format array("name-for-js" => "name-of-php-variable"). Defaults to empty array.

`extensions`

  List of extensions registered using V8Js::registerExtension() which should be available in the Javascript context of the created V8Js object.

  > Note:

  > Extensions registered to be enabled automatically do not need to be listed in this array. Also if an extension has dependencies, those dependencies can be omitted as well. Defaults to empty array.

`report_uncaught_exceptions`

  Controls whether uncaught Javascript exceptions are reported immediately or not. Defaults to `TRUE`. If set to `FALSE` the uncaught exception can be accessed using V8Js::getPendingException().

### Return Values

Returns a new V8Js context object.

V8Js
V8Js::executeString
V8Js
PHP Manual